Bug 474867 - (perl-B-Utils) Review Request: perl-B-Utils - Helper functions for op tree manipulation
Review Request: perl-B-Utils - Helper functions for op tree manipulation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 474859
  Show dependency treegraph
 
Reported: 2008-12-05 12:09 EST by Iain Arnell
Modified: 2009-01-28 01:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 02:50:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-12-05 12:09:14 EST
Spec URL: http://iarnell.fedorapeople.org/perl-B-Utils.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-B-Utils-0.07-1.fc11.src.rpm
Description: Helper functions for op tree manipulation

Note that rpmlint warns, but we ignore headers in perl packages.
perl-B-Utils.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/B/Utils/Install/BUtils.h

Also note that perl-Module-Info incorrectly claims to provide B::Utils (reported in bug 474859).
Comment 1 Jason Tibbitts 2008-12-06 18:28:06 EST
Not much to say here.  I agree that the rpmlint complaint is OK, as occasionally a single internal header file comes as part of a binary Perl module.

One of the tests is skipped due to a lack of Test::Signature, but honestly verifying signatures as part of the test suite isn't useful in all cases.  If we need to patch a file, for example, the tests would fail.

* source files match upstream.  sha256sum:
   b2609a722def7499952831f4a72fd0bf6786e64414bd74607cd89637bbb2d59a
   B-Utils-0.07.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   Utils.so()(64bit)
   perl(B::Utils) = 0.07
   perl(B::Utils::Install::Files)
   perl(B::Utils::OP) = 0.07
   perl-B-Utils = 0.07-1.fc11
   perl-B-Utils(x86-64) = 0.07-1.fc11
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.10.0)
   perl(B)
   perl(B::Utils)
   perl(Carp)
   perl(Exporter)
   perl(Scalar::Util)
   perl(base)
   perl(strict)
   perl(subs)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=22, Tests=136,  1 wallclock secs ( 0.06 usr  0.03 sys +  0.54 cusr  
    0.08 csys =  0.71 CPU)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Iain Arnell 2008-12-07 03:28:00 EST
New Package CVS Request
=======================
Package Name: perl-B-Utils
Short Description: Helper functions for op tree manipulation
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-12-07 19:34:32 EST
cvs done.
Comment 4 Fedora Update System 2008-12-18 11:26:31 EST
perl-B-Utils-0.07-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-B-Utils-0.07-2.fc10
Comment 5 Fedora Update System 2008-12-18 11:26:35 EST
perl-B-Utils-0.07-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-B-Utils-0.07-2.fc9
Comment 6 Fedora Update System 2009-01-07 04:10:35 EST
perl-B-Utils-0.07-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-07 04:26:10 EST
perl-B-Utils-0.07-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2009-01-28 00:12:49 EST
Package Change Request
======================
Package Name: perl-B-Utils
New Branches: EL-5
Owners: iarnell iburrell
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-01-28 01:00:09 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.